package com.rc.httpcore.config

import com.rc.httpcore.HttpConfig

class ConfigFactory {

    companion object {
        val buildDebugConfig = ConfigParam.Builder()
            .baseUrl("https://lab.sxitdlc.com/labAppTest/")
            .signInCheckBaseUrl("http://10.20.10.7/labSystem/algorithm/")
            .httpStrategy(HttpConfig.HTTP_STRATEGY_Retrofit)
            .mqttServerUri("tcp://218.3.208.12:18830")
            .mqttUName("dlc")
            .mqttUPwd("123456")
            .build()

        val buildReleaseConfig = ConfigParam.Builder()
            .baseUrl("https://lab.sxitdlc.com/labAppTest/")
            .signInCheckBaseUrl("http://10.20.10.7/labSystem/algorithm/")
            .httpStrategy(HttpConfig.HTTP_STRATEGY_Retrofit)
            .mqttServerUri("tcp://218.3.208.12:18830")
            .mqttUName("dlc")
            .mqttUPwd("123456")
            .build()
    }

}